Skip to main content
POST
/
generate
/
enhance
/
topaz
/
astra
Astra
curl --request POST \
  --url https://api.krea.ai/generate/enhance/topaz/astra \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.krea.ai/generate/enhance/topaz/astra"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.krea.ai/generate/enhance/topaz/astra', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
video_url
string<uri>
required

Can be an external URL, base64 data URI, or uploaded asset URL.

Maximum string length: 1024
target_width
number

Output width in pixels. Defaults to the source video width.

Required range: 1 <= x <= 8000
target_height
number

Output height in pixels. Defaults to the source video height.

Required range: 1 <= x <= 8000
crop_to_fit
boolean
default:false

Crop the video to fill the target dimensions instead of preserving the source aspect ratio.

creativity
enum<string>
default:low

How much creative detail Astra adds while enhancing.

Available options:
low,
high
frame_interpolation
boolean
default:false

Interpolate extra frames to raise the output frame rate.

frame_interpolation_fps
integer
default:60

Target output frame rate (frame interpolation only).

Required range: 15 <= x <= 240
frame_interpolation_model
enum<string>
default:apo-8

Frame interpolation model.

Available options:
apo-8,
apf-2,
chr-2,
chf-3
frame_interpolation_slowmo
integer
default:1

Slow-motion factor, 1 keeps the original speed (frame interpolation only).

Required range: 1 <= x <= 16
frame_interpolation_fix_duplicate_frames
boolean
default:true

Detect and drop duplicate frames before interpolating.

frame_interpolation_duplicate_sensitivity
number
default:0.01

Sensitivity of duplicate-frame detection (only when fix duplicate frames is on).

Required range: 0.001 <= x <= 0.1
video_output_preset
enum<string>
default:h265-main

Output encoder profile: codec, container, and bit depth.

Available options:
h264-high,
h265-main,
h265-main10,
prores-422-proxy,
prores-422-lt,
prores-422-std,
prores-422-hq,
av1-8-bit,
av1-10-bit,
vp9-good,
vp9-best

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
completed_at
null
required
result
null
required
error
object